Bug 120651 - X doesn't boot to desktop with IGP340M video chipset. 2D RADEON driver doesn't load.
X doesn't boot to desktop with IGP340M video chipset. 2D RADEON driver doesn'...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-12 13:59 EDT by Giovanni Glass
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 09:08:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giovanni Glass 2004-04-12 13:59:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
Synced to Rawhide as of 4/12/04
Fedora Core release 1.91 (FC2)

The included X.org video drivers for the ATI Radeon do not run on my
laptop.

Compaq Presario 2100
Mobile Pentium4 1.6Ghz

lspci reports this:
00:00.0 Host bridge: ATI Technologies Inc RS200/RS200M AGP Bridge [IGP
340M] (rev 02)
00:01.0 PCI bridge: ATI Technologies Inc PCI Bridge [IGP 340M]
01:05.0 VGA compatible controller: ATI Technologies Inc Radeon IGP 340M

I set my /etc/X11/XF86Config-4 video device to "RADEON"

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
        VendorName  "Videocard vendor"
        BoardName   "VESA driver (generic)"
EndSection

And this does not work. startx reports back unable to find the driver
and dumps me back to terminal. I tried the "VESA" driver and it loads
X halfway (after Kernel loads, before Gnome loads) and hardlocks the
system. Using the Driver "radeon" line:

I moved the four ATI drivers out of "/usr/X11R6/lib/modules/drivers"
into "/usr/X11R6/lib/modules/drivers/oldati" and replaced them with
compiled XFreeOrg 4.3.0 drivers that work. The files are copied over:

ati_drv.o  atimisc_drv.o  r128_drv.o  radeon_drv.o

I do startx and it boots with accelerated 2D. Something is broken with
the current Radeon driver that prevents X from loading.

Joe

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Must have laptop that uses IGP 340M built-in video card
1. Set the XF86Config-4 Driver line to "Radeon"
2. startx
3. Driver can't be found, X tries several times, and reports an error
and asks user to config X.

Actual Results:  X starts. It cycles a few times to load the Radeon
driver, it stops and asks user to config X. It finally dumps user to
the terminal.

Expected Results:  Should have booted into Gnome desktop.

Additional info:
Comment 1 John Dennis 2004-04-12 14:26:48 EDT
Please attach a copy of the X server log file in /var/log from a
failed attempt to start the server.
Comment 2 Bill Woodward 2004-05-13 16:12:02 EDT
I see this as well, on a Compaq Presario 2500 with an IGP 345M running
Fedora Core 2 Test 3.  System starts to boot, gets to the point where
it is configuring X, screen turns black and system has to be powered
off and rebooted.  Smae thing happens next time I boot as well.

Seems to be fine with FC1, but of course, the X is different there.
Comment 3 Mike A. Harris 2004-11-25 09:08:09 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.